Show / Hide Table of Contents

# Struct StdSet<TKey>.Node

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct Node

### Fields

| Improve this Doc View Source

#### _18

##### Declaration

    public byte _18

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### _19

##### Declaration

    public byte _19

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Color

##### Declaration

    public byte Color

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IsNil

##### Declaration

    public bool IsNil

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Key

##### Declaration

    public TKey Key

##### Field Value

Type | Description
--- | ---
TKey |

| Improve this Doc View Source

#### Left

##### Declaration

    public StdSet<TKey>.Node*Left

##### Field Value

Type | Description
--- | ---
StdSet.Node<>* |

| Improve this Doc View Source

#### Parent

##### Declaration

    public StdSet<TKey>.Node*Parent

##### Field Value

Type | Description
--- | ---
StdSet.Node<>* |

| Improve this Doc View Source

#### Right

##### Declaration

    public StdSet<TKey>.Node*Right

##### Field Value

Type | Description
--- | ---
StdSet.Node<>* |

### Methods

| Improve this Doc View Source

#### Next()

##### Declaration

    public StdSet<TKey>.Node*Next()

##### Returns

Type | Description
--- | ---
StdSet.Node<>* |

| Improve this Doc View Source

#### Prev()

##### Declaration

    public StdSet<TKey>.Node*Prev()

##### Returns

Type | Description
--- | ---
StdSet.Node<>* |